Subject: [Spridgets] Coil - Help

From: Martyn Ridley <[email-masked]>
Date: Fri, 18 Jul 2014 15:20:46 -0400

I have just replaced my third coil in 12 months.  The latest new coil 
lasted less than 10 miles.  In both recent failures the car was running 
very well and just quit.  Replaced coil and ready to go again till........

Coils were Lucas DLB100, car is positive earth, CB = + (same for my 
positive earth MGB)

I have read the Chicagoland and MGA with Attitude articles as well as 
Moss and several others.  I am told coils fail from heat but I do not 
remember the coil I changed out being extra hot.  I have yet another 
DLB100 in the car but I am reluctant to use it until I know what is 
going on.

Beer therapy and a good night's sleep have not helped.  Ideas, Please!

Cheers,
Martyn
------------------------

[email-masked]

Archive: http://www.team.net/archive